org.apache.ignite.internal.processors.rest.client.message

## Class GridClientTaskRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientTaskRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientTaskRequest
    extends GridClientAbstractMessage

`Task` command request.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientTaskRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `argument()`
`void` `argument(Object arg)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `keepBinaries()`
`void` `keepBinaries(boolean keepBinaries)`
`void` `readExternal(ObjectInput in)`
`String` `taskName()`
`void` `taskName(String taskName)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientTaskRequest

    public GridClientTaskRequest()

### Method Detail

#### taskName

    public String taskName()

Returns:
  Task name.

#### taskName

    public void taskName(String taskName)

Parameters:
  `taskName` - Task name.

#### argument

    public Object argument()

Returns:
  Arguments.

#### argument

    public void argument(Object arg)

Parameters:
  `arg` - Arguments.

#### keepBinaries

    public boolean keepBinaries()

Returns:
  Keep binary flag.

#### keepBinaries

    public void keepBinaries(boolean keepBinaries)

Parameters:
  `keepBinaries` - Keep binary flag.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023